<?php
/**
* J51_InlineIcons
* Version		: 1.0
* Created by	: Joomla51
* Email			: info@joomla51.com
* URL			: www.joomla51.com
* @license         GNU General Public License version 2 or later; see LICENSE.txt
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$baseurl 		= JURI::base();
$j51_moduleid       = $module->id;

$j51_inlineicons = $params->get('j51_inlineicons');
$j51_iconclass = $params->get('j51_iconclass');
$j51_icontitle = $params->get('j51_icontitle');
$j51_iconurl = $params->get('j51_iconurl');
$j51_iconsize = $params->get('j51_iconsize');
$j51_iconcolor = $params->get('j51_iconcolor');
$j51_iconhovercolor = $params->get('j51_iconhovercolor');
$j51_iconalign = $params->get('j51_iconalign');
$j51_icon_margin_y = $params->get('j51_icon_margin_y');
$j51_icon_margin_x = $params->get('j51_icon_margin_x');
$j51_icon_json = json_decode($j51_inlineicons,true);

// Load CSS/JS
$document = JFactory::getDocument();

$document->addStyleSheet (JURI::base() . 'modules/mod_j51inlineicons/css/balloon.css' );
$document->addStyleSheet (JURI::base() . 'modules/mod_j51inlineicons/css/style.css' );

// Styling from module parameters
$j51_css='';
$j51_css .='
.j51_inlineicons'.$j51_moduleid.' i:before {
    font-size: '.$j51_iconsize.'px;
}
.j51_inlineicons'.$j51_moduleid.' .j51_inlineicon:hover i:before {
    color: '.$j51_iconhovercolor.' !important;
}
.j51_inlineicons'.$j51_moduleid.' [data-balloon]:after {
    background-color: '.$j51_iconhovercolor.' !important;
}
.j51_inlineicons'.$j51_moduleid.' [data-balloon]:before {
  border-color: '.$j51_iconhovercolor.' transparent transparent transparent;
}
.j51_inlineicons'.$j51_moduleid.' {
	text-align: '.$j51_iconalign.';
}
.j51_inlineicons'.$j51_moduleid.' .j51_inlineicon {
	margin: '.$j51_icon_margin_y.'px '.$j51_icon_margin_x.'px;
}
';

// Put styling in header
$document->addStyleDeclaration($j51_css);

$j51_inlineicons = array($j51_icon_json['j51_iconclass']);
$j51_icontitle = array($j51_icon_json['j51_icontitle']);
$j51_iconcolor = array($j51_icon_json['j51_iconcolor']);
$j51_iconurl = array($j51_icon_json['j51_iconurl']);

	echo '<div class="j51_inlineicons j51_inlineicons'.$j51_moduleid.'">';
	
	    foreach($j51_icon_json['j51_iconclass'] as $index => $icon )  {
	    echo '<a href="'.$j51_iconurl[0][$index].'" class="j51_inlineicon" data-balloon="'.$j51_icontitle[0][$index].'" data-balloon-pos="up"><i class="'.$icon.'" style="color:'.$j51_iconcolor[0][$index].'"></i></a>';
 		} 

 	echo '</div>';

?>