<?php
/**
* J51_InlineIcons
* Version		: 1.0
* Created by	: Joomla51
* Email			: info@joomla51.com
* URL			: www.joomla51.com
* @license         GNU General Public License version 2 or later; see LICENSE.txt
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$baseurl 		= JURI::base();
$j51_moduleid       = $module->id;
$animateIn = $params->get( 'animateIn' );
$animateOut = $params->get( 'animateOut' );

$j51slideimages = $params->get('j51slideimages');
$j51_slideimage = $params->get('j51_slideimage');
$j51_slidetitle = $params->get('j51_slidetitle');
$j51_slidebtcolor = $params->get('j51_slidebtcolor');
$j51_slide_json = json_decode($j51slideimages,true);

// Load CSS/JS
$document = JFactory::getDocument();

$document->addCustomTag("<script src='".$baseurl."modules/mod_j51inlineicons/js/modernizr.custom.js' type='text/javascript'></script>");
$document->addStyleSheet (JURI::base() . 'modules/mod_j51inlineicons/css/owl.carousel.min.css' );
$document->addStyleSheet (JURI::base() . 'modules/mod_j51inlineicons/css/owl.transitions.css' );
$document->addStyleSheet (JURI::base() . 'modules/mod_j51inlineicons/css/owl.animate.css' );
$document->addStyleSheet (JURI::base() . 'modules/mod_j51inlineicons/css/style.css' );

$j51_slideimages = array($j51_slide_json['j51_slideimage']);
$j51_slidetitles = array($j51_slide_json['j51_slidetitle']);

	echo '<div class="navslideshow owl-carousel'.$j51_moduleid.'">';
	
    if(is_array($j51_slide_json['j51_slideimage'])) {
	    foreach($j51_slide_json['j51_slideimage'] as $index => $image )  {
	    echo '<div class="item" data-hash="'.$index.'">';
	    echo '<img src="'.$image.'" alt="'.$j51_slidetitles[0][$index].'">';
	    echo '</div>';
 		} 
 	} 
 	echo '</div>';

 	echo '<div class="navslideshow-nav"><ul>';
 	foreach($j51_slide_json['j51_slidetitle'] as $index=>$title )  {
 		echo '<li style="background-color:'.$j51_slidebtcolor.'">';
	    echo '<a class="btn url" href="#'.$index.'">'.$title.'</a>';
	    echo '</li>';
 		} 
 	echo '</ul></div>';

?>

<script type="text/javascript" src="modules/mod_j51inlineicons/js/owl.carousel.min.js" ></script>
<script type="text/javascript">
jQuery(document).ready(function() {
     
    jQuery(".owl-carousel<?php echo $j51_moduleid; ?>").owlCarousel({
    items : 1,
    loop: false,
    center: true,
    margin: 10,
    callbacks: true,
    URLhashListener: true,
    autoplayHoverPause: true,
    startPosition: 'URLHash',
    <?php if ($animateOut != 'false') { ?>
    animateOut: '<?php echo $animateOut; ?>',
    <?php }
    if ($animateIn != 'false') { ?>
    animateIn: '<?php echo $animateIn; ?>',
    <?php } ?>
    pagination:false,
    navigation:false
    });
     
 });

</script>
