<?php
/*================================================================*\
|| # Copyright (C) 2011  Joomla51. All Rights Reserved.           ||
|| # license - PHP files are licensed under  GNU/GPL V2           ||
|| # license - CSS  - JS - IMAGE files are Copyrighted material   ||
|| # Website: http://www.joomla51.com                             ||
\*================================================================*/
defined('_JEXEC') or die;
JHtml::_('bootstrap.framework');
define( 'nexus', dirname(__FILE__) );
require("php/config.php");
require("php/variables.php");
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />
<?php include ("php/styles.php");?>
<?php include ("php/scripts.php");?>

<?php echo ($head_custom_code); ?>

</head>
<body>
	<div id="header_slide"></div>
	<div id="header_bg" style="background-position: 50% 0%" data-stellar-background-ratio="0.5" >

		<div id="container_header" class="j51container">
			<?php if($headervid != "") : ?>
			<iframe frameborder="0" height="100%" width="100%" id="bgvid" src="//www.youtube.com/embed/<?php echo $headervid ?>?autoplay=1&amp;controls=0&amp;loop=1&amp;showinfo=0&amp;disablekb=1&amp;rel=0&amp;enablejsapi=1&amp;playlist=PLAYLIST_ID_HERE" frameborder="0"></iframe>
			<?php endif; ?> 
			<div id="header">
				<div id="container_spacer1" class="j51container"><div class="wrapper960">
			        <?php if ($this->countModules( 'header-1' )) : ?>
			        <div class="header-1">
			            <jdoc:include type="modules" name="header-1" style="none" />
			        </div>
			        <?php endif; ?>
			        <?php if ($this->countModules( 'header-2' )) : ?>
			        <div class="header-2">
			            <jdoc:include type="modules" name="header-2" style="none" />
			        </div>
			        <?php endif; ?>
				</div></div>
				<?php require("php/layouts/social_icons.php"); ?>
				<div id="logo-outside">
					<div class="wrapper960">
						<?php require("php/layouts/header.php"); ?>
					</div>
				</div>
				<div class="wrapper960">
					<?php require("php/layouts/hornav.php"); ?>
				</div>
				<?php if($header_full == '1') { ?>
				<a class="scroll-button scrollto" href="#content">
					<i class="fa fa-angle-down"></i>
				</a>
				<?php }?>	
			</div>
		</div>

	</div>
	<div id="content">
		<?php if ($this->countModules('showcase')) { ?>
		<div id="container_slideshow" class="j51container"><div class="wrapper960">
		<?php require("php/layouts/slideshow.php"); ?>
		</div></div>
		<?php }?>

		<?php if ($this->countModules('top-1a') || $this->countModules('top-1b') || $this->countModules('top-1c') || $this->countModules('top-1d') || $this->countModules('top-1e') || $this->countModules('top-1f')) { ?>
		<div id="container_top1_modules" class="j51container" style="background-position: 50% 0%" data-stellar-background-ratio="0.5"><div class="wrapper960">
		<?php require("php/layouts/top1_modules.php"); ?>
		</div></div>
		<?php }?>


		<?php if ($this->countModules('top-2a') || $this->countModules('top-2b') || $this->countModules('top-2c') || $this->countModules('top-2d') || $this->countModules('top-2e') || $this->countModules('top-2f')) { ?>
		<div id="container_top2_modules" class="j51container" style="background-position: 50% 0%" data-stellar-background-ratio="0.5"><div class="wrapper960">
		<?php require("php/layouts/top2_modules.php"); ?>
		</div></div>
		<?php }?>

	    <?php if ($this->countModules('breadcrumb') || $this->countModules('top-3a') || $this->countModules('top-3b') || $this->countModules('top-3c') || $this->countModules('top-3d') || $this->countModules('top-3e') || $this->countModules('top-3f')) { ?>
	    <div id="container_top3_modules" class="j51container" style="background-position: 50% 0%" data-stellar-background-ratio="0.5"><div class="wrapper960">
		<?php require("php/layouts/top3_modules.php"); ?>
		</div></div>
		<?php }?>

		<div id="container_main" class="j51container">
		<div class="wrapper960">
		<?php require("php/layouts/main.php"); ?>
		</div></div>

		<?php if ($this->countModules('bottom-1a') || $this->countModules('bottom-1b') || $this->countModules('bottom-1c') || $this->countModules('bottom-1d') || $this->countModules('bottom-1e') || $this->countModules('bottom-1f')) { ?>
		<div id="container_bottom1_modules" class="j51container" style="background-position: 50% 0%" data-stellar-background-ratio="0.5"><div class="wrapper960">
		<?php require("php/layouts/bottom1_modules.php"); ?>
		</div></div>
		<?php }?>

		<?php if ($this->countModules('bottom-2a') || $this->countModules('bottom-2b') || $this->countModules('bottom-2c') || $this->countModules('bottom-2d') || $this->countModules('bottom-2e') || $this->countModules('bottom-2f')) { ?>
		<div id="container_bottom2_modules" class="j51container" style="background-position: 50% 0%" data-stellar-background-ratio="0.5"><div class="wrapper960">
		<?php require("php/layouts/bottom2_modules.php"); ?>
		</div></div>
		<?php }?>

		</div></div>

	<?php require("php/layouts/base.php"); ?>
	</div>
	
<?php echo ($body_custom_code); ?>

<!-- Stellar -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/js/jquery.stellar.js" charset="utf-8"></script>
<script type="text/javascript">
	if (Modernizr.touch) {   
    } else {   
        jQuery(window).stellar({
		horizontalScrolling: false
	}); 
}  
</script>

<!-- Vegas Background -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/js/jquery.vegas.js" charset="utf-8"></script>
<script type="text/javascript">
(function($) {"use strict";
    $(document).ready(function() {
        $('#header_slide').vegas({
            delay: 4000,
            timer: false,
            slides: [
            <?php 
            foreach ($headerslideshow as $item) { ?>
                    { src: '<?php echo $this->baseurl ?>/<?php echo $item->header_slide_image; ?>'},
            <?php } ?>
            ]
        });
    });
})(jQuery);
</script>

<jdoc:include type="modules" name="debug" />
</body> 
</html>